Cannot open project after updating to version 1.1.1 because of scene config incompatibility

After updating from version 1.0.9 to version 1.1.1, there's an incompatibility with the scene config file that prevents me from opening my project.

- I run start-win.bat, and the Welcome and Open Project screens work as expected.
- When I try to open an existing project or make a new project, this error appears in the terminal:
cmd RECENT_OPEN exception TypeError: G.config.scene.scene.indexOf is not a function
(See screenshot for the full error message.)
- I see a totally blank screen instead of my project.

I was able to solve the problem by deleting the ProjectSetting/scene.setting file. I was then able to open my project without encountering any errors and set the scenes I wanted to include.

Even though I solved the problem, I'm posting this so that other people with the same problem can see it, and the QICI team can look into fixing the error that prevented me from opening my project.
qici1.PNG
Has invited:

lijh

Favor from:

This problem may be caused by a defect of the the upgrade system of QICI, and we will fix this in the next version.
Thanks for your feedback.

To reply to a question, please Login or registered